import React from "react";
import { Button, Input, Row } from 'antd';
import { TProps, RowStyle, InpStyle, BtnStyle } from "./Form.data";

export const Form = ({inputData, onChange, onClick}: TProps) => {
    return (
        <Row style={RowStyle}>
            <Input 
                style={InpStyle} 
                placeholder="Title" 
                value={inputData.title}
                onChange={onChange} 
                name={"title"}
            />
            <Input 
                style={InpStyle} 
                placeholder="Price" 
                value={inputData.price}
                onChange={onChange} 
                name={"price"}
                type={"number"}
            />
            <Input 
                style={InpStyle} 
                placeholder="Stock" 
                value={inputData.stock}
                onChange={onChange} 
                type={"number"}
                name={"stock"}
            />
            <Button 
                style={BtnStyle} 
                type="primary" 
                onClick={onClick}
            >
                Add
            </Button>
        </Row>
    );
};